# BSN
[![Coverage Status](https://coveralls.io/repos/github/thednp/bootstrap.native/badge.svg)](https://coveralls.io/github/thednp/bootstrap.native)
[![ci](https://github.com/thednp/bootstrap.native/actions/workflows/ci.yml/badge.svg)](https://github.com/thednp/bootstrap.native/actions/workflows/ci.yml)
[![NPM Version](https://img.shields.io/npm/v/bootstrap.native.svg)](https://www.npmjs.com/package/bootstrap.native)
[![jsDeliver](https://img.shields.io/jsdelivr/npm/hw/bootstrap.native)](https://www.jsdelivr.com/package/npm/bootstrap.native)
[![typescript version](https://img.shields.io/badge/typescript-5.6.3-brightgreen)](https://www.typescriptlang.org/)
[![vitest version](https://img.shields.io/badge/vitest-2.1.5-brightgreen)](https://vitest.dev/)
[![vite version](https://img.shields.io/badge/vite-5.4.11-brightgreen)](https://vitejs.dev/)


The faster, lighter and more compact set of JavaScript components for **Bootstrap 5**, sourced with TypeScript and free from major dependecies such as jQuery, Popper.

The **bootstrap.native** library is available on npm, CDN and comes packed with Vitest powered tests and other goodies.


The library is around ***42Kb*** minified and around ***13Kb*** gZipped. See <a href="http://thednp.github.io/bootstrap.native/">the demo</a> for components guidelines and examples, or the [Wiki/How to use](https://github.com/thednp/bootstrap.native/wiki/How-to-use) on how to install and use the library.


## Installation

```bash
npm i bootstrap.native
```

```bash
yarn add bootstrap.native
```

```bash
pnpm install bootstrap.native
```

```bash
deno add npm:bootstrap.native@latest
```
After installation, head over to the [usage guides](https://github.com/thednp/bootstrap.native/wiki/How-to-use).


## Wiki
Check out the `bootstrap.native` [Wiki](https://github.com/thednp/bootstrap.native/wiki) pages for usage guides and relevant information, they're updated with almost every new commit.


## Contributors
* Full contributors list [here](https://github.com/thednp/bootstrap.native/graphs/contributors). Thanks!


## License
The **BSN** library is released under the [MIT license](https://github.com/thednp/bootstrap.native/blob/master/LICENSE).
